#!/bin/sh
#
# shell plugin for DM 7025 by thowi
#
VERSION=30
PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/Shell
PATHFILE=$PLUGINDIR/.shellpath
KEYMAPDIR=/usr/share/enigma2
TIME=5

if [ -f $PATHFILE ]; then
WORKDIR=`cat $PATHFILE`
else
WORKDIR="/"
pwd > $PATHFILE
fi
case "$1" in
"cd")
cd $WORKDIR
echo "root@dm7025:$WORKDIR# $1 $2"
cd $2
WORKDIR=`pwd`
echo "root@dm7025:$WORKDIR#"
echo $WORKDIR > $PATHFILE
;;
"usbkeys" | "alternatekeys")
if [ ! -f $PLUGINDIR/keymap_standard.xml ]; then
   echo "Saving Standardkeymap"
   cp $KEYMAPDIR/keymap.xml $PLUGINDIR/keymaps/keymap_standard.xml
fi
if [ $# = 1 ]; then
   ALTERNATEKEYS=keymap_usbkeyboard4shell_Einsteini.xml
else
   ALTERNATEKEYS=$2
fi
if [ ! -f $PLUGINDIR/keymaps/$ALTERNATEKEYS ]; then
   echo "Alternate Keyboard $ALTERNATEKEYS not found, doing nothing"
   exit 1
fi
echo "Enabling alternate Keyboard $ALTERNATEKEYS"
cp $PLUGINDIR/keymaps/$ALTERNATEKEYS $KEYMAPDIR/keymap.xml
echo "Restarting enimga2 in $TIME sec to enable alternate Keymap"
sleep $TIME
killall enigma2
;;
"standardkeys")
if [ ! -f $PLUGINDIR/keymaps/keymap_standard.xml ]; then
   echo "Standardkeymap was not saved yet, probably it is still default"
else
   echo "Restoring Standard keymap.xml"
   cp $PLUGINDIR/keymaps/keymap_standard.xml $KEYMAPDIR/keymap.xml
   echo "Restarting enimga2 in $TIME sec to enable Standard Keymap"
   sleep $TIME
   killall enigma2
fi
;;
"exit" | "logout")
echo "root@dm7025:$WORKDIR# $1"
if [ -f $PATHFILE ]; then
rm $PATHFILE
fi
;;
"vi" | "joe" | "more" | "top")
echo "root@dm7025:$WORKDIR#$1 = UNSUPPORTED COMMAND, SORRY !"
;;
"ping")
echo "root@dm7025:$WORKDIR# $1 -c 10 $2 $3 $4 $5 $6 $7 $8 $9 $10"
$1 -c 10 $2 $3 $4 $5 $6 $6 $7 $8 $9 $10
;;
"#")
echo "root@dm7025:$WORKDIR#"
;;
*)
# simply execute command
cd $WORKDIR
echo "root@dm7025:$WORKDIR# $1 $2 $3 $4 $5 $6 $7 $8 $9 $10"
$1 $2 $3 $4 $5 $6 $6 $7 $8 $9 $10
;;
esac
exit 0
